#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define si short int
#define vi vector<ll>
#define vii vector<vi>
#define vip vector<pair<ll,ll>>

int main()
{
     cout<<"-1"<<endl;
    return 0;
}